using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EQNetwork.Objects;
using EQNetwork.Utility;

namespace EQNetwork.Interfaces
{
    public partial interface IInvitationService
    {
        void Accept(Guid InvitationGuid);
        void Confirm(Guid InvitationGuid);
        InvitationMessage Create(InvitationContext InvitationContext);
        InvitationMessage Update(InvitationContext InvitationContext);
        void Decline(Guid InvitationGuid);
        void Delete(Guid InvitationGuid);
        List<Invitation> ListInvitationsForCollection(int collectionId);
        List<Invitation> ListInvitationsForUser(int userId);
        List<Invitation> ListInvitationsToMe(List<Db.InvitationType> invitationTypes, bool? all);
        void Resend(Guid InvitationGuid);
    }
}
